//----------------------------------------------------------------------------------------------------------
//                           2D    plot
//
// 
//     
//----------------------------------------------------------------------------------------------------------

// plot(x,y,[xcap,ycap,caption])
// x -  , y -  ,
// xcap, ycap, caption -   X, Y   

// x=-2*%pi:0.1:2*%pi;
// y=sin(x)';
// plot(x,y,'X','Y','plot function y=sin(cos(x))');

//   ,   

x=-2*%pi:0.1:2*%pi;
plot(x,[sin(cos(x));cos(sin(x));exp(sin(x));exp(cos(x))]);
halt; clf();

x=-2*%pi:0.1:2*%pi;
y=sin(x/2); 
z=cos(x);
v=exp(cos(x));
plot(x,y,'--');
plot(x,z,'k*');
plot(x,v,'r.--');
halt; clf();

// legend(leg1,leg2,...,legn,[pos],[boxed])
// leg1 -   , leg2 -   , legn -  n- ;
// pos -  : 1 -     ( ), 2 -    ,
// 3 -    , 4 -     , 5 -    
//  ;
// boxed -  ,    (%t,  )   (%f) 
//  ;

x=-10:0.01:10;
y=sin(cos(x));
z=cos(sin(x));
plot(x,y,'r',x,z,'b');
xgrid();
xtitle('Grafic','X','Y');
legend('sin(cos(x))','cos(sin(x))',3,%f);
halt; clf();

x=[-10:0.01:10];
y=sin(x); z=cos(x);
u=cos(sin(x)); v=sin(cos(x));
w=exp(sin(x)); r=exp(cos(x));
subplot(3,2,1);
plot(x,y);
subplot(3,2,2);
plot(x,z);
subplot(3,2,3);
plot(x,u);
subplot(3,2,4);
plot(x,v);
subplot(3,2,5);
plot(x,w);
subplot(3,2,6);
plot(x,r);

halt; clf();

//          plotframe:
// plotframe(rect, tics [,grid, title,x-leg,y-leg,x,y,w,h]),
//  rect -  [xmin, ymin, xmax, ymax],     x  y  ;
// tics -  [nx,  mx,  ny,  my],        (mx)  Y (my),
// nx  ny         Y;
// grid -  ,    (%t)   (%f)  
// (        [%t,%t]);
// title - ,      ;
// x-leg, y-leg -   ;
// x, y -        ;
// w - , h -  .
//  x,y,w,h         [0,1].
//             plot.

x=[-10:0.01:10];
y=sin(2*x); z=cos(3*x); u=cos(sin(2*x)); v=sin(cos(3*x));
rect=[min(x),-1,max(x),1];
tics=[2,11,10,5];
plotframe(rect,tics,[%t,%t],["Function y=sin(2x)","X","Y"], [0,0,0.5,0.5])
plot(x,y);
plotframe(rect,tics,[%f,%f],["Function y=cos(3x)","X","Y"], [0.5,0,0.5,0.5])
plot(x,z);
plotframe(rect,tics,[%f,%f],["Function y=cos(sin(2x))","X","Y"], [0,0.5,0.5,0.5])
plot(x,u);
plotframe(rect,tics,[%t,%t],["Function y=sin(cos(3x))", "X","Y"], [0.5,0.5,0.5,0.5])
plot(x,v);


clear
//----------------------------------------------------------------------------------------------------------

