//----------------------------------------------------------------------------------------------------------
//                                          
//
// 
//    
//----------------------------------------------------------------------------------------------------------

//  fi,      f    g 
function [f,g,ind]=fi(x,ind)
//  f,   
f=x^4+3*x^3-13*x^2-6*x+26
//  g -    f
g=4*x^3+9*x^2-26*x-6
endfunction

//    
y0=-2;

//     (xmin)    (fmin)   -   optim
[fmin,xmin]=optim(fi,y0)

//   x0
x0=[-2;2]
// 
function y=gg(x)
//  ,  x -    
y=100*(x(2)-x(1)^2)^2+(1-x(1))^2;
endfunction
//  cst,      
function [f,g,ind]=cst(x,ind)
f=gg(x);
g=numdiff(gg,x);
endfunction

//   optim
[f,xopt]=optim(cst,x0)

//        linpro  :
//
//                          [x,kl,f]=linpro(,A,b[,ci,cs][,k][,x0])
//
//   - -     ,   (n)  
//    x;
// A -        ;     
//   m,        n;
// b - -,     ,   m;
// ci - -  n,    ;   ,
//  [];
// cs - -  n,    ;   ,
//  [];
// k -   ,        
//  ;       k  ,  l   
// (  m=k+l);
// x0 - -    n.
//
//  linpro    x,    f    
//  kl.

// .     x1,x2,x3  x4     L
//
//                                    L = ? x2 ? 2x3 + x4
//
//       
//
//                                    3x1 ? x2 ? 2
//                                    x2 ? 2x3 ? ?1
//                                    4x3 ? x4 ? 3
//                                    5x1 + x4 ? 6
//                                    x1 ? 0, x2 ? 0, x3 ? 0, x4 ? 0

//  ,       ?    
//        -1.

// c=[0;-1;-2;1];
// A=[3 -1 0 0;0 1 -2 0; 0 0 4 -1; -5 0 0 -1];
// b=[2;-1;3;-6];
// ci=[0;0;0;0];
// [x,kl,f]=linpro(c,A,b,ci,[])

//    .   :
// linpro has been moved to a external contribution.
// Please download quapro toolboxe at http://www.scilab.org/contrib/index_contrib.php?page=download.php.


clear
//----------------------------------------------------------------------------------------------------------

