//----------------------------------------------------------------------------------------------------------
//                              
//
//            SciLab 
//    
//----------------------------------------------------------------------------------------------------------

// spec(M) -         M;
//    x,    ,   Ax=Lx, 
// L -  ,     , L -   
// 

M=[3 -2;-4 1]
spec(M) //  

//  -  ,      Y.
[X,Y]=spec(M)

// inv(A) -  ,   A

A=[1 2 3 5;0 1 3 2;4 2 1 1;2 3 0 1]
inv(A)

//  -           
// (  -   )

inv(A)*A

//      (     )
//    

//B=[1 2 3;1 4 5;1 6 7]
//inv(B) -  

// pinv(A[,tol]) -      A   tol ( );
//    pinv(A[,tol])= X   AXA=A, XAX=X,     A ,  
//      .         
//     tol  

pinv(A)

// linsolve(A,b) -       Ax+b=0

//     {x1+2x27=0; x1+x26=0};    
//      

A=[1 2;1 1];b=[-7;-6]
x=linsolve(A,b)

//   A*x+b      ,  ,    

A*x+b

//     , SciLab  ;
//  ,      , SciLab    : 

A=[3 -1;6 -2]
b=[-1;-2]
x=linsolve(A,b)

// rref(A) -    A   ,    

A=[3 -2 1 5;6 -4 2 7;9 -6 3 12]
rref(A)

// lu() -     ;
// L  U -     ;  LU-;

A=[2 -1 5;3 2 -5;1 1 -2]
[L,U]=lu(A)

LU=L*U

// qr() -          ;
// Q - , R -   ;  QR-;

[Q,R]=qr(A)
Q*R

// svd() -       n?m;      
//    ,      ;
// U  V - m?m  n?n  ,  S -  ,     
//    

[U,S,V]=svd(A)
U*S*V'

s=svd(A)

// kernel([,tol[,fl]]) -    ,  tol  fl   ;
//    ,  -       
//  qr  svd;
//   -    ;        
//   =0;     X=kernel(A)    ,  
//  AX=0;

A=[4 1 -3 -1;2 3 1 -5;1 -2 -2 3]
X=kernel(A)


clear
//----------------------------------------------------------------------------------------------------------

