//----------------------------------------------------------------------------------------------------------
//                                  
//
//            SciLab 
//    
//----------------------------------------------------------------------------------------------------------

//      :
//         2x1 +  x2 - 5x3 + x4 = 8,
//         x1 - 3x2 - 6x4 = 9,
//         2x2 - x3 + 2x4 = -5,
//         x1 + 4x2 - 7x3 + 6x4 = 0

//     .   ?=detA    n   n
//  Ax=b   ,      x1,x2,...,xn,  
//    xi=?i/?,  ?i -  ,       
// i-     b.

A=[2 1 -5 1;1 -3 0 -6;0 2 -1 2;1 4 -7 6] // 
b=[8;9;-5;0]  //  

A1=A;A1(:,1)=b; //  
A2=A;A2(:,2)=b; //  
A3=A;A3(:,3)=b; //  
A4=A;A4(:,4)=b; //  

D=det(A); // 

//  :
d(1)=det(A1); d(2)=det(A2); d(3)=det(A3); d(4)=det(A4);

x=d/D // 

P=A*x-b // (    )

//   :    n    n  Ax=b  ,
//       ,       x=A^-1?b. 

x=inv(A)*b // 

//      :
//                      2x1 - x2 + x3 = 0,
//                      3x1 + 2x2 - 5x3 = 1,
//                      x1 + 3x2 - 2x3 = 4.

//           ,    
//     ,   ,   .
//      .   -   ,     
//      (  ,  
//  ,      )    .    
// ( )    ,    n    
// .  (n+1)      . 

//      :
A=[2 -1 1;3 2 -5;1 3 -2]
b=[0;1;4]

//      :
C=rref([A b]);

//    :
[n,m]=size(C);  //m -     

//       ( ):
x=C(:,m)  

A*x-b // (    )

clear
//----------------------------------------------------------------------------------------------------------

