//----------------------------------------------------------------------------------------------------------
//                                    
//
// 
//    
//----------------------------------------------------------------------------------------------------------

//,       , 
//    z=[x;y] -    
// -    ,     
//   
function [zr]=G(c,z)
zr=z(2)-c(1)-c(2)*z(1)-c(3)*z(1)^2-c(4)*z(1)^3
endfunction
// 
x=[1.32 1.40 1.50 1.62 1.70 1.80 1.90 2.00 2.11 2.20 2.32 2.40 2.51];
y=[3.30 3.50 3.85 4.25 4.50 4.85 5.40 6.00 6.60 7.30 9.20 10.20 13.50];
//   
z=[x;y];
//   
c=[0;0;0;0];
// 
[a,err]=datafit(G,z,c)
//   
plot2d(x,y,-4);
//   
t=1.32:0.01:2.51;
Ptc=a(1)+a(2)*t+a(3)*t^2+a(4)*t^3;
plot2d(t,Ptc);

clear; clf();

function [zr]=F(c,z)
zr=z(2)-c(1)*z(1)^c(2)-c(3);
endfunction
x=[10.1,10.2,10.3,10.8,10.9,11,11.1,11.4,12.2,13.3,13.8,14,14.4,14.5,15,15.6,15.8,17,18.1,19];
y=[24,36,26,45,34,37,55,51,75,84,74,91,85,87,94,92,96,97,98,99];
z=[x;y];
c=[0;0;0];
[a,S]=datafit(F,z,c)
t=10:0.01:19;
Yt=a(1)*t^a(2)+a(3);
plot2d(x,y,-3);
plot2d(t,Yt);

clear;

// 
x=[0 4 10 15 21 29 36 51 68];
y=[66.7 71 76.3 80.6 85.7 92.9 99.4 113.6 125.1];
//  
a=regress(x,y)
//     32 
t=32;a(1)+a(2)*t
// 
r=sum((x-mean(x)).*(y-mean(y)))/sqrt(sum((x-mean(x))^2)*sum((y-mean(y))^2))
// 
R=sqrt(1-sum((y-(a(1)+a(2)*x))^2)/sum((y-mean(y))^2))

//        
t=0:70; Yt=a(1)+a(2)*t; clf();
plot2d(x,y,-5); 
plot2d(t,Yt);

clear;

//  
x=[132 140 150 162 170 180 190 200 211 220 232 240 251];
y=[330 350 385 425 450 485 540 600 660 730 920 1020 1350];
clf(); 
plot2d(x,y,-4);
z=[x;y];
t=132:5:252; ptd=interpln(z,t);
plot2d(t,ptd);

clear;

//  
x=[0.43 0.48 0.55 0.62 0.7 0.75];
y=[1.63597 1.73234 1.87686 2.03345 2.22846 2.35973];
clf();
plot2d(x,y,-4);//  
koeff=splin(x,y);
X=[0.702 0.512 0.608];
//     
Y=interp(X,x,y,koeff);
plot2d(X,Y,-3); //   
//  
t=0.43:0.01:0.75;
ptd=interp(t,x,y,koeff);  
plot2d(t,ptd);


clear
//----------------------------------------------------------------------------------------------------------

