//Codec of file is UTF-8
//-----------------------------------------------------------------------
//             Символьные матрицы и операции над ними
//
// 
// Составлено по учебнику Алексеева, проверено в Scilab 5.5.2
//-----------------------------------------------------------------------

// В SciLab можно задавать символьные матрицы, то есть матрицы, элементы 
// которых имеют строковый тип. При этом необходимо помнить, что строковые 
// элементы должны быть заключены в двойные или одинарные кавычки.

M=['a' 'b';'c' 'd']
P=['1' '2';'3' '4']

// Символьные матрицы можно складывать (результат сложения - конкатенация 
// соответствующих строк) и транспонировать

M+P
M'

// Кроме того, операции сложения и умножения можно проводить над отдельными 
// элементами символьных матриц при помощи функций addf(a,b) и mulf(a,b)

addf(M(1,1),P(2,2))
mulf(M(1,2),P(2,1))

clear
